Create Job
Creates a new job.
- If neither
run_atnorscheduleare provided, the job runs immediately. - If
run_atis provided, the job runs once at the specified time. - If
scheduleis provided, the job runs on the specified cron schedule. - If both are provided,
scheduletakes precedence.
Documentation Index
Fetch the complete documentation index at: https://docs.quedup.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for job.CreateJobRequest
CreateJobRequest schema
The HTTP method used when sending the request.
"POST"
A unique name for the job. Used for identification.
"Database Backup"
The URL the job will send a request to.
"https://example.com"
Optional request body to include when sending the job.
Optional key/value pairs of HTTP headers to include in the request.
A timestamp for running the job once at a specific time. Must be in RFC3339 format, e.g. 2025-09-24T17:00:00Z. Ignored if schedule is provided.
A cron expression for running the job on a recurring schedule. If provided, it takes precedence over run_at.
Response
OK
Job schema
"job_xxx"
"POST"
"Job"
The next time the Job is scheduled to run. If empty, the Job is complete=.
The CRON schedule for the Job
"0 12 * * *"
A Job can be active, paused, failed or completed
"active"
"https://example.com"